Package org.apache.sling.feature.io.json

# Class ConfigurationJSONReader

java.lang.Object
org.apache.sling.feature.io.json.ConfigurationJSONReader

public class ConfigurationJSONReader extends Object
JSON Reader for configurations.

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationJSONReader()`

## Method Summary

Modifier and Type
Method
Description
`static Configurations`
`read(Reader reader, String location)`
Read a map of configurations from the reader The reader is not closed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigurationJSONReader

public ConfigurationJSONReader()

## Method Details

### read

public static Configurations read(Reader reader, String location) throws IOException
Read a map of configurations from the reader The reader is not closed. It is up to the caller to close the reader.

Parameters:
  `reader` - The reader for the configuration
  `location` - Optional location
Returns:
  The read configurations
Throws:
  `IOException` - If an IO errors occurs or the JSON is invalid.